Skip to main content
Forms

Validate field type

This method validates the field value against the field type

POST
/gb/form/validate/field-type
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd

Body

application/json

JSON payload

field_typeenum<string>required

Type of field to validate. Note - Phone number and mobile numbers must follow E164 pattern.

Available options: currency, email, integer, e164phone, e164mobile, postcode, bank_bsb, bank_account_number
Example: integer
field_valuestringrequired

Value of the field

Example: 12345

Response

application/vnd.catch-e-api.v1+json

Success

field_typeenum<string>required

Type of field to validate. Note - Phone number and mobile numbers must follow E164 pattern.

Available options: currency, email, integer, e164phone, e164mobile, postcode, bank_bsb, bank_account_number
Example: integer
field_valuestringrequired

Value of the field

Example: 12345